<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="main-model-organization content-header">
    <div class="main-model-organization__right">
        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
            mbButtonText="{{'modelOrganization.assignJob.createNew' | translate}}" (click)="navigatePage()"
            *ngIf="objFunction?.create"></mb-button>
    </div>
</div>

<div class="container-fluid">
    <div class="form">
        <div nz-row class="form-row">
            <div nz-col nzXs="24" nzLg="5" class="form-row__left">
                <mb-select [mbDataSelects]="modelJobs" mbKeyLabel="label" mbKeyValue="value"
                    mbLabelText="{{'modelOrganization.label.model' | translate}}"
                    mbPlaceholder="{{'modelOrganization.placeHoder.chooseModel' | translate}}"
                    [(ngModel)]="objSearch.jobType"></mb-select>
            </div>
            <div nz-col nzXs="24" nzLg="5" class="form-row__center">
                <mb-select [mbDataSelects]="listJobSearch" mbKeyLabel="jobName" mbKeyValue="jobName" (mbOnSearch)="onSearchJob($event)"
                mbLabelText="{{'modelOrganization.label.job' | translate}}" [mbServerSearch]="true"
                mbPlaceholder="{{'modelOrganization.placeHoder.chooseJob' | translate}}"
                [(ngModel)]="objSearch.jobName"></mb-select>
            </div>
            <div nz-col nzXs="24" nzLg="5" class="form-row__right">
                <mb-select [mbDataSelects]="status" mbKeyLabel="label" mbKeyValue="value"
                    mbLabelText="{{'modelOrganization.assignJob.status' | translate}}"
                    mbPlaceholder="{{'modelOrganization.assignJob.placeHolder.chooseStatus' | translate}}"
                    [(ngModel)]="objSearch.flagStatus"></mb-select>
            </div>
            <div nz-col nzXs="24" nzLg="5" class="form-row__button">
                <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM'
                    mbButtonText="{{'modelOrganization.assignJob.search' | translate}}" (click)="onSearch()">
                </mb-button>
                <mb-button
                *ngIf="objFunction.export"
                mbButtonType="BORDER"
                mbButtonSize="VERY_LARGE"
                (click)="exportExcel()"
              >
                <img src="../../../../../assets/images/icon/excel.svg" alt="" />
              </mb-button>
            </div>

        </div>
    </div>


    <div nz-row class="template">
        <div nz-col nzXs="24" nzLg="24" class="data-table">
            <nz-table #basicTable [nzData]="jobDataTable ? jobDataTable : []" [nzFrontPagination]="false" [nzSize]="TABLE_SIZE"
                [nzShowPagination]="false" [nzScroll]="{ x: SCROLL_CONFIG }">
                <thead>
                    <tr>
                        <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" nzLeft>{{'modelOrganization.table.stt' |
                            translate}}
                        </th>
                        <th scope="col" nzLeft [nzWidth]="WIDTH_COLUMN.MEDIUM">{{'modelOrganization.assignJob.architecture' |
                            translate}}</th>
                        <th scope="col">{{'modelOrganization.table.job' | translate}}</th>
                        <th scope="col">{{'modelOrganization.table.unit' | translate}}</th>
                        <th scope="col">{{'modelOrganization.assignJob.infoApprove' |
                            translate}}</th>
                        <th scope="col" [nzAlign]="'center'">{{'modelOrganization.assignJob.status' | translate}}
                        </th>
                        <th scope="col" [nzWidth]="WIDTH_COLUMN.SMALL" nzRight>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of jobDataTable; let i = index">
                        <td nzLeft>{{(pagination.size * (pagination.currentPage - 1)) + (i+1)}}
                        </td>
                        <td nzLeft>{{item.jobType | jobType}}</td>
                        <td >{{item.jobName}}</td>
                        <td >{{item.orgName}}</td>
                        <td >{{item.posDesc}}</td>
                        <td [nzAlign]="'center'">
                          <nz-tag [class]="renderFlagStatus(item.flagStatus).class">
                            {{renderFlagStatus(item.flagStatus).text}}</nz-tag>
                        </td>
                        <td nzRight>
                            <div class="jd-table__action flex-center">
                                <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CONTENT'
                                    (click)="showConfirm(item.posId)"
                                    mbButtonText="{{'modelOrganization.assignJob.search' | translate}}"
                                    *ngIf="objFunction?.delete">
                                    <img alt="" src="assets/images/icon/delete_outline.svg" width="20" height="20">
                                </mb-button>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </nz-table>
            <div class="pagination" *ngIf="pagination.totalElements > 0">
                <div class="pagination__table-info">
                    <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt="#">
                    <span class="pagination__table-info--text">{{'common.paging.rangePage' |
                        translate:{result:pagination.totalElements} }}
                        {{(pagination.size * (pagination.currentPage - 1)) + 1}}
                        {{'common.paging.to' | translate}} {{(pagination.size * (pagination.currentPage - 1)) +
                        pagination.numberOfElements}}</span>
                </div>
                <nz-pagination [(nzPageIndex)]="pagination && pagination.currentPage"
                    [nzTotal]="pagination?.totalElements" [nzPageSize]="pagination?.size"
                    (nzPageIndexChange)="changePage()" class="pagination__icon">
                </nz-pagination>
            </div>
        </div>
    </div>
    <ng-container>
        <nz-dropdown-menu #menu="nzDropdownMenu">
            <div class="job-search">
                <ul nz-menu *ngFor="let item of listJobSearch">
                    <li nz-menu-item (click)="onClickJob(item.jobName)">{{item.jobName}}</li>
                </ul>
            </div>
        </nz-dropdown-menu>
    </ng-container>
</div>
